Skip to main content
POST
Source Audio Reference: No additional IDs are needed for tracks based on existing songs. Just pass task_id (the task ID from the previous run of this task) + audio_index (which result track in the data.result.music[] list, 1-based, default is 1).
This endpoint has no version dimension: do not pass version — if passed, it is discarded and does not affect billing.

Authorizations

string
required
All endpoints require authentication using a Bearer TokenGet an API Key:Visit the API Key management page to get your API KeyAdd the following to the request headers when using it:

Body

string
default:"suno"
Audio model. Currently pass suno (defaults to suno if omitted).
string
required
Our task_id of the job that produced the source track. If missing or the source cannot be resolved, a 400 is returned at submission time.
integer
default:"1"
Selects a track from the source task’s data.result.music[] array (1-based; default 1).
Get result: After submission, poll for GET /v1/music/tasks/{task_id}. Read from data.result.videoUrl first upon completion and be compatible with historical result.videos[] or result.music[].video_url.

Response

integer
Response status code
array
Returned data array